Package org.apache.sling.scripting.sightly.impl.html.dom

## Class HtmlParser

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.html.dom.HtmlParser

    public final class HtmlParser
    extends Object

HTML parser. Invokes a `DocumentHandler` whenever an event occurs.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `parse​(Reader reader, DocumentHandler documentHandler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public static void parse​(Reader reader,
                             DocumentHandler documentHandler)
                      throws IOException

Throws:
  `IOException`